#!/bin/bash
# -*- coding: utf-8 -*-

# Declare an array of string with type
declare -a StringArray=(
 "slurm_submit_hpc_PDV_rc_bdmHKYE.sh"
"slurm_submit_hpc_PDV_rc_bdmHKYF.sh"
"slurm_submit_hpc_PDV_rc_cbsHKYE.sh"
"slurm_submit_hpc_PDV_rc_cbsHKYF.sh"
"slurm_submit_hpc_PDV_rc_ccpHKYE.sh"
"slurm_submit_hpc_PDV_rc_ccpHKYF.sh"
"slurm_submit_hpc_PDV_rcHKYE.sh"
"slurm_submit_hpc_PDV_rcHKYF.sh"
"slurm_submit_hpc_PDV_sc_bdmHKYE.sh"
"slurm_submit_hpc_PDV_sc_bdmHKYF.sh"
"slurm_submit_hpc_PDV_sc_cbsHKYE.sh"
"slurm_submit_hpc_PDV_sc_cbsHKYF.sh"
"slurm_submit_hpc_PDV_sc_ccpHKYE.sh"
"slurm_submit_hpc_PDV_sc_ccpHKYF.sh"
"slurm_submit_hpc_PDV_scHKYE.sh"
"slurm_submit_hpc_PDV_scHKYF.sh"
	 )
 
# Iterate the string array using for loop
for val in ${StringArray[@]}; do
	#replace in the filename
	nwFNM1=$(echo "$val" | \
	sed 's/cHKY/c_cepGTR/g' | \
	sed 's/HKY/GTR/g')
	#echo the name
	echo "$nwFNM1"
	#replace inside the file
	cat $val | \
	sed 's/cHKY/c_cepGTR/g' | \
	sed 's/HKY/GTR/g' > "$nwFNM1"
done
